AgenciesAdd location
Agencies

Add location

Add a GoHighLevel location to an agency.

curl -X POST "https://api.mythic-analytics.com/api/v1/agencies/example_string/locations" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -d '{
  "ghl_location_id": "loc_5kN2mPqR",
  "label": "New York Office"
}'
{
  "success": true,
  "data": {
    "ghl_location_id": "loc_5kN2mPqR",
    "label": "New York Office",
    "created_at": "2024-03-15T11:00:00.000Z"
  }
}
POST
/agencies/{id}/locations
POST
Security Scheme
Bearer Tokenstring
Required

Admin API key as bearer token. Format: Bearer YOUR_ADMIN_KEY

Admin API key as bearer token. Format: Bearer YOUR_ADMIN_KEY
path
idstring
Required

Agency identifier.

Content-Typestring
Required

The media type of the request body

Options: application/json
ghl_location_idstring
Required

GoHighLevel location identifier.

labelstring

Human-readable label for the location.

Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token. Admin API key as bearer token. Format: Bearer YOUR_ADMIN_KEY

Path Parameters

idstring
Required

Agency identifier.

Body

application/json
ghl_location_idstring
Required

GoHighLevel location identifier.

labelstring

Human-readable label for the location.

Responses